"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _ghost = require("./images/ghost.svg");

var _github = require("./images/github.svg");

var _linkedin = require("./images/linkedin.svg");

var _questionCircle = require("./images/question-circle.svg");

var _telegram = require("./images/telegram.svg");

var _twitter = require("./images/twitter.svg");

var _react = _interopRequireWildcard(require("react"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function Footer({
  name
}) {
  const minWidth768 = window.matchMedia("(min-width: 768px)");
  const [matches, setMatches] = (0, _react.useState)(minWidth768.matches);
  (0, _react.useEffect)(() => {
    const handler = e => setMatches(e.matches);

    minWidth768.addListener(handler);
    return () => minWidth768.removeListener(handler);
  });
  return _react.default.createElement("footer", {
    style: {
      fontFamily: "-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Oxygen,Ubuntu,Cantarell,Fira Sans,Droid Sans,Helvetica Neue,sans-serif",
      position: "absolute",
      bottom: "0",
      left: "0",
      width: "100%",
      height: "3rem",
      display: "grid",
      grid: matches ? "1fr / [footer-start] 20px [banner] 10fr [title] 10fr [help] 4fr 1fr [social] 5fr 20px [footer-end]" : "1fr / [footer-start] 30px [banner] 9fr [help] 6fr 30px [footer-end]",
      background: "#4d00b4",
      color: "white",
      alignItems: "center",
      justifyItems: "center",
      minHeight: "40px"
    }
  }, _react.default.createElement("div", {
    style: {
      gridColumn: "banner",
      justifySelf: "start"
    }
  }, _react.default.createElement("a", {
    style: {
      color: "white",
      textDecoration: "none"
    },
    href: "https://kleros.io"
  }, "Find out more about Kleros")), _react.default.createElement("div", {
    style: {
      display: matches ? "" : "none",
      gridColumn: "title"
    }
  }, name), _react.default.createElement("div", {
    style: {
      display: "grid",
      gridColumn: "help",
      justifySelf: "end"
    }
  }, _react.default.createElement("a", {
    href: "https://t.me/kleros",
    style: {
      color: "white",
      textDecoration: "none"
    }
  }, "I need help ", _react.default.createElement(_questionCircle.ReactComponent, {
    style: {
      verticalAlign: "middle"
    }
  }))), _react.default.createElement("div", {
    style: {
      display: matches ? "" : "none",
      gridColumn: "social",
      justifySelf: "stretch",
      alignItems: "center",
      textAlign: "center"
    }
  }, _react.default.createElement("div", {
    style: {
      display: matches ? "grid" : "none",
      alignItems: "center",
      grid: " 1fr / 1fr"
    }
  }, _react.default.createElement("div", {
    className: "icons",
    style: {
      display: matches ? "grid" : "none",
      grid: "1fr / 1fr 1fr 1fr 1fr 1fr"
    }
  }, _react.default.createElement("a", {
    href: "https://twitter.com/kleros_io?",
    rel: "noopener noreferrer",
    target: "_blank"
  }, _react.default.createElement(_twitter.ReactComponent, {
    style: {
      verticalAlign: "middle"
    }
  })), _react.default.createElement("a", {
    href: "https://github.com/kleros",
    rel: "noopener noreferrer",
    target: "_blank"
  }, _react.default.createElement(_github.ReactComponent, {
    style: {
      verticalAlign: "middle"
    }
  })), _react.default.createElement("a", {
    href: "https://blog.kleros.io/",
    rel: "noopener noreferrer",
    target: "_blank"
  }, _react.default.createElement(_ghost.ReactComponent, {
    style: {
      verticalAlign: "middle"
    }
  })), _react.default.createElement("a", {
    href: "https://www.linkedin.com/company/kleros/",
    rel: "noopener noreferrer",
    target: "_blank"
  }, _react.default.createElement(_linkedin.ReactComponent, {
    style: {
      verticalAlign: "middle"
    }
  })), _react.default.createElement("a", {
    href: "https://t.me/kleros",
    rel: "noopener noreferrer",
    target: "_blank"
  }, _react.default.createElement(_telegram.ReactComponent, {
    style: {
      verticalAlign: "middle"
    }
  }))))));
}

var _default = Footer;
exports.default = _default;